io.vertx.sqlclient

## Interface SqlResult<T>

- Type Parameters:
    `T` - the execution result type
  All Known Subinterfaces:
    RowSet<R>

      public interface SqlResult<T>

  An interface that represents the execution result of an operation on the database server.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ColumnDescriptor>` | `columnDescriptors()` Get the column descriptors in the SqlResult.
    `List<String>` | `columnsNames()` Get the names of columns in the SqlResult.
    `SqlResult<T>` | `next()` Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
    `<V> V` | `property(PropertyKind<V> propertyKind)` Get the specific property with the specified `PropertyKind`.
    `int` | `rowCount()` Get the number of the affected rows in the operation to this SqlResult.
    `int` | `size()` Get the number of rows retrieved in the SqlResult.
    `T` | `value()` Get the execution result value, the execution result type may vary such as a `rowSet` or even a `string`.

- - ### Method Detail

    - #### rowCount

          int rowCount()

      Get the number of the affected rows in the operation to this SqlResult.
      Returns:
        the count of affected rows.

    - #### columnsNames

          List<String> columnsNames()

      Get the names of columns in the SqlResult.
      Returns:
        the list of names of columns.

    - #### columnDescriptors

          List<ColumnDescriptor> columnDescriptors()

      Get the column descriptors in the SqlResult.
      Returns:
        the list of column descriptors

    - #### size

          int size()

      Get the number of rows retrieved in the SqlResult.
      Returns:
        the count of rows.

    - #### property

          <V> V property(PropertyKind<V> propertyKind)

      Get the specific property with the specified `PropertyKind`.
      Type Parameters:
        `V` - the type of the property value
      Parameters:
        `propertyKind` - the unique object which is used to indicate which property of the execution result to fetch
      Returns:
        the value of the property

    - #### value

          T value()

      Get the execution result value, the execution result type may vary such as a `rowSet` or even a `string`.
      Returns:
        the result value

    - #### next

          SqlResult<T> next()

      Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
      Returns:
        the next available result or `null` if none is available

Copyright © 2024 Eclipse. All rights reserved.